/* $Revision: 1.2 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridSamples.C
 *
 * DESCRIPTION: This is a collection of functions for TESTING that return
 *	testing grids.  They are all pretty simple.
 *
 * EXPORTS:  
 *
 * NOTES:        All grids new to be deleted when done.
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/


/***************************************************************************
 * INCLUDES
 ***************************************************************************/

#include "XcGrid.H"
#include "XcGridSamples.H"



// OK in 0/.25's
XcGrid *XcGridSampleOK () {
  const size_t w=9;
  const size_t h=5;
  const float z=0.25;
  XcGrid *g = new XcGrid(w,h);
  g->setDelXDelY(1.,1.);
  size_t x,y;
  // Zero the sucker
  for (y=0;y<h;y++)
    for (x=0;x<w;x++) g->setZ(x,y,0.);
  {
    y=1;
    g->setZ(1,y,z); g->setZ(2,y,z); g->setZ(3,y,z);
    g->setZ(5,y,z); g->setZ(7,y,z);
  }
  {
    y=2;
    g->setZ(1,y,z); g->setZ(3,y,z);
    g->setZ(5,y,z); g->setZ(6,y,z);
  }
  {
    y=3;
    g->setZ(1,y,z); g->setZ(2,y,z); g->setZ(3,y,z);
    g->setZ(5,y,z); g->setZ(7,y,z);
  }
  return (g);
}

XcGrid *XcGridSample3x3 (bool gen) {
  XcGrid *g = new XcGrid(3,3);
  g->setOrigin(3,3.5);
  g->setDelXDelY(1,1);
  g->setZ(0,0,-1.88);
  g->setZ(1,0,-1);
  g->setZ(2,0,-0);

  g->setZ(0,1,-1);
  g->setZ(1,1,-0);
  g->setZ(2,1,-0.2);

  g->setZ(0,2,-.350);
  g->setZ(1,2,-.323);
  g->setZ(2,2,-.301);

  if (gen) {
    g->genCompressedIndex();
    g->genTriangles();
    g->genUV();
    g->genNormals();
  }
  return (g);
}
