/* $Revision: 1.2 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    colorPalette.H
 *
 * DESCRIPTION: Data structures to help with DEM creation
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __COLOR_PALETTE_H_
#define __COLOR_PALETTE_H_

#include <vector>


class CPTentry {
public:
  float depth[2];
  float minColor[3];  // 0..1 r,g,b
  float maxColor[3];

  bool inRange(const float d);
  void print();
};


// Similar to a color palette in gmt... see man grd2cpt
class colorPalette {
public:
  colorPalette();
  bool setColorsFromFile(const char *filename);

  //  bool setRangeLinear(const float depth1, const float depth2, 
  //		      const RGBcolor c1, const RGBcolor c2);
  bool setRangeLinear(const float depth1, const float depth2, 
		      const float r1, const float g1, const float b1,
		      const float r2, const float g2, const float b2
		      );
  bool getColor(const float curdepth, float &r, float &g, float &b);

private:
  // FIX: make these vectors
  //float depth[2];
  //float c1[3];
  //float c2[3];
  std::vector <CPTentry> table;
};

#endif // #ifndef __COLOR_PALETTE_H_
