/* $Revision: 1.2 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridGdal.H
 *
 * DESCRIPTION: Use Gdal to read/write lots of formats
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 * SEE ALSO:
 * 
 *	http://www.remotesensing.org/gdal/
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_GRID_GDAL_H_
#define __XC_GRID_GDAL_H_

#include <string>
#include "XcGrid.H"

// if doGenerates is false, it will not precompute the triangles, UV
// texture coords, compressed indices, and normals.

bool XcGridGdalRead (std::string filename,XcGrid &grd);
bool XcGridGdalWrite (std::string filename, XcGrid &grd);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

//#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvGdal : public XcG::XcGridDrv {
public:
  //int getID() {return (1);}
  std::string getName();
  bool canReadType(FileType t); //{ return (GDAL==t?true:false); }
  bool canWriteType(FileType t); //{ return (GDAL==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, gengetopt_args_info &opts);
};
#endif // ifdef __XC_GRID_GDAL_H_
