/* $Revision: 1.2 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    xc-obj.H
 *
 * DESCRIPTION: Use XcGrid to write an Obj/Maya/Alias geometry file.
 *	Write only at the moment.  Read would not be too hard.
 *
 * EXPORTS:  
 *
 * NOTES:  
 *	   http://astronomy.swin.edu.au/~pbourke/geomformats/obj/
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_OBJ_H_
#define __XC_OBJ_H_

#include <string>
class XcGrid;
bool XcGridWriteObj (const std::string filename, XcGrid &grd,
		    bool texture=true);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvObj : public XcG::XcGridDrv {
public:
  std::string getName();
  bool canReadType(FileType t) { return false; }
  bool canWriteType(FileType t) { return (OBJ==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, gengetopt_args_info &opts);
};

#endif //  __XC_OBJ_H_
