/* $Revision: 1.8 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridPgm.H
 *
 * DESCRIPTION: Data structures to help with DEM creation
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_GRID_PGM_H_
#define __XC_GRID_PGM_H_

//#include <iostream>

bool XcGridWritePpmBinary (const std::string filename, XcGrid &grd, const std::string cptFile, const size_t max);
bool XcGridWritePgmBinary (const std::string filename, XcGrid &grd, const size_t max);
bool XcGridWritePgmAscii  (const std::string filename, XcGrid &grd, const size_t max);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

using namespace XcG;


class XcGridDrvPgm : public XcG::XcGridDrv {
public:
  std::string getName();
  bool canReadType(FileType t) { return false; }
  bool canWriteType(FileType t) {
    std::vector<FileType> types = getWriteTypes();
    size_t i;
    // FIX: replace with an stl search
    for (i=0; i<types.size(); i++) {
      if (t==types[i]) return (true);
    }
    return false;
  }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, gengetopt_args_info &opts);
};

#endif // ifdef __XC_GRID_PGM_H_
