# -*- makefile -*-
# $Revision: 1.2 $  $Author: schwehr $  $Date: 2004/10/02 14:49:15 $

######################################################################
# Copyright (C) 2004  Kurt Schwehr
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
######################################################################

######################################################################
#
# FILE: makes/Darwin-7.5.mak
#
# NOTES:  This is for Mac OS X 10.3.5
#
######################################################################

# Darwin uses gcc, but doesn't always call it that.
CC=cc
CXX=c++

CPPFLAGS := -g -Wall -I${INCDIR}
# FINK directories (http://fink.sf.net)
# hard to do Mac OSX developement without it!
CPPFLAGS += -I/sw/include

LOADLIBS := -L${LIBDIR}/${OS} -L/sw/lib

#CXXFLAGS := ${CFLAGS}
RANLIB := ranlib
STRIP := strip

######################################################################
# From my Owens Lake kds-pmag Makefile
CXXFLAGS := -Wall -Wimplicit -pedantic -W -Wstrict-prototypes -Wredundant-decls
# FINK:
CXXFLAGS += -I/sw/include -L/sw/lib

ifdef OPTIMIZE
  CXXFLAGS += -O3 -funroll-loops -fexpensive-optimizations -DNDEBUG
  CXXFLAGS += -ffast-math -mtune=G4 -mcpu=G4 -mpowerpc

# Fast is specific for G4 and G5 cpus, here only for the G4
#  CXXFLAGS += -mcpu=7450 -fast
#  Programs crashing with -fast
else
  CXXFLAGS += -g3 -O0
  CXXFLAGS += -D_GLIBCXX_DEBUG
endif

CFLAGS := ${CXXFLAGS} -Wimplicit-int -Wimplicit-function-declaration -Wnested-externs

