# -*- makefile -*-
# $Revision: 1.1 $  $Author: schwehr $  $Date: 2004/10/03 15:25:42 $

######################################################################
# Copyright (C) 2004  Kurt Schwehr
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
######################################################################

######################################################################
#
# FILE: makes/Linux-2.4.mak
#
# NOTES:  This was tested on sugarbush
#         Mandrake Linux release 8.1 (Vitamin) for i586
#	  gcc 2.95 (may not build everything!!!)
#
######################################################################

# Darwin uses gcc, but doesn't always call it that.
CC=gcc
CXX=g++

CPPFLAGS := -g -Wall #-I${INCDIR}
#CPPFLAGS += -I/sw/include

LOADLIBS := -L${LIBDIR}/${OS} -L/sw/lib

#CXXFLAGS := ${CFLAGS}
RANLIB := ranlib
STRIP := strip

######################################################################
# From my Owens Lake kds-pmag Makefile
CXXFLAGS := -Wall -Wimplicit -pedantic -W -Wstrict-prototypes -Wredundant-decls

ifdef OPTIMIZE
  CXXFLAGS += -O3 -funroll-loops -fexpensive-optimizations -DNDEBUG
  CXXFLAGS += -ffast-math
  # May be able to add arch specific optimizations here
else
  CXXFLAGS += -g3 -O0
  CXXFLAGS += -D_GLIBCXX_DEBUG
endif

CFLAGS := ${CXXFLAGS} -Wimplicit-int -Wimplicit-function-declaration -Wnested-externs

