# -*- makefile -*-
######################################################################
#  (c) Copyright 2003 Kurt Schwehr. All rights reserved.
#      Also released under the GPL.
#
# FILE: makes/install.mak
#
# DESCRIPTION: controls how to install bins, libs, and headers.
#
# REQUIREMENTS:
#
# USAGE:  
#
# BUGS:
#
# NOTES:
#
#	FIX: switch to using gnu install.
#
# REVISION: $Id: install.mak,v 1.2 2003/10/04 21:40:47 schwehr Exp $
######################################################################

# FIX: check that OS is defined... probably from system.mak

do_install_headers:
ifdef INCS
	cp -p $(INCS) $(INCDIR)
endif

do_install: inst-dirs
ifdef BINS	# do binary installs
	-@set -x; for i in $(BINS); do \
		cp -p $$i $(BINDIR)/$$i ;\
	done
endif
ifdef LIB	# do the non-shared library install
	cp -p $(OS)/lib$(LIB).a $(LIBDIR)/$(OS)
endif
ifdef INCS
	cp -p $(INCS) $(INCDIR)/
endif

# build installation destination directories
inst-dirs:
	[ -d $(INCDIR) ] || mkdir $(INCDIR)
	[ -d $(LIBDIR) ] || mkdir $(LIBDIR)
	[ -d $(LIBDIR)/$(OS) ] || mkdir $(LIBDIR)/$(OS)
	[ -d $(BINDIR) ] || mkdir $(BINDIR)
	[ -d $(BINDIR)/$(OS) ] || mkdir $(BINDIR)/$(OS)

strip:  ${BINS}
	${STRIP} ${BINS}

