# -*- makefile -*-
######################################################################
#  (c) Copyright 2003 Kurt Schwehr. All rights reserved.
#      Also released under the GPL.
#
# FILE: makes/recursive.mak
#
# REQUIREMENTS:
#

# DESCRIPTION: This file provides recurse rules for makefiles with
# subdirectories.  The make file should define the basic rule that 
# depends on the do version of rule.  e.g.:
#
# clean: do_recursive_clean
#
# BUGS:
#
# NOTES:  
#
# REVISION: $Id: recursive.mak,v 1.2 2003/10/23 14:40:08 schwehr Exp $
######################################################################

do_recursive_clean:
	-for dir in ${SUBDIRS} ; do \
		echo "$$dir"; \
		(cd $$dir && ${MAKE} clean;)\
	done

do_recursive_install:
	-for dir in ${SUBDIRS} ; do \
		echo "building $$dir"; \
		(cd $$dir && ${MAKE} && ${MAKE} install);\
	done

do_recursive_clean-dist:
	-for dir in ${SUBDIRS} ; do \
		echo "$$dir"; \
		(cd $$dir && ${MAKE} clean-dist;)\
	done

do_recursive_test:
	-for dir in ${SUBDIRS} ; do \
		echo "$$dir"; \
		(cd $$dir && ${MAKE} test;)\
	done

